/* stylesheet for Newcastle Island Site */



     /*- --- --- --- ---    GENERAL STYLE RULES
    ()
    ()
     \*- --- --- --- --- --- --- -*/


* {
    margin: 0;
    padding: 0;
}

html {
    height:100%;
}

body {
    background-color: #2f4837;
    height: 100%;
    /*
    min-width:1000px;
    width: auto !important;*/
}


    /*- --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- -*/




     /*- --- --- --- ---    HEADER IFRAME ELEMENT
    ()
    ()
     \*- --- --- --- --- --- --- -*/

#above-header {
    position: fixed;
    top: 0;
    left: 10em;
    height: 40px;
    width: calc(100% - 160px);
    background-color: #2f4837;
    z-index: 100;
}

#header {
    /*display: flex;*/
    min-width: 545px;
    width: 100%;
    height: 122px; /* 120px for header width and 1px border on top and bottom */
    border: none;
    margin: 0;
    left: 0;
    top: 40px;
    position: fixed;
    z-index: 100;
}


    /*- --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- -*/




     /*- --- --- --- ---    NAVIGATION BAR
    ()
    ()
     \*- --- --- --- --- --- --- -*/

#nav-column {
    border: 0px solid blue;
    background-color: #DCF0DD;
    height: 100%;
    padding-top: 2em;
    position: fixed;
    width: 160px;
    opacity: 0.8;
    margin-top: 0;
    top: 0;
    flex: 1;
    top: 0;
    display: flex;
    flex-direction: column;
    z-index: 99;
}


/* Hides navigation bar when window size is smaller than mid-width below
@media (max-width: 1000px) {
    #nav-column {
        display: none;
    }
*/

#nav-logo {
    height: auto;
    width: auto;
    max-width: 8em;
    max-height: 8em;
    padding: 1em;
    padding-top: 162px;
}

#nav-footer {
    border: 0px solid red;
    padding-bottom: 2.5em;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

#nav-footer p {
    color:black;
    padding-right: 0;
    text-align: center;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
}

#nav-list {
    border-top: 1px solid #718c75;
    list-style-type: none;
    padding: 0;

}

.nav-item {
    border-bottom: 1px solid #718c75;
    padding-bottom: 1em;
    padding-left: 1.5em;
    padding-top: 1em;
    text-align: left;
}

.nav-link {
    color: #718c75;
    display: block;
    font-size: 18px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-decoration: none;
}

.nav-active {
    color: black;
}

.nav-link:hover {
    color: black;
}


    /*- --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- -*/




     /*- --- --- --- ---    CENTER CONTENT BODY STRUCTURE
    ()
    ()
     \*- --- --- --- --- --- --- -*/

#content-wrapper {
    border: 0px solid red;
    margin-left: 160px;
    min-width: 60em;
    height: 100%;
    margin-top: 162px;
}

#content {
    background-color: #6c1114;
    width: 80%;
    margin: auto;
    min-height: 100%;
    border-left: 3px solid #dcf0dd75;
    border-right: 3px solid #dcf0dd75;
}

div.bodybuffer {
    position: relative;
    height: 5em;
    display: block;
    width: 100%;
    /* border: 3px solid blue; */
}

div.title-wrapper {
    position: relative;
}

h1.pagetitle {
    position: relative;
    font-family: trebuchet ms;
    font-size: 3em;
    color: #aeaeae;
    margin-left: 5%;
    z-index: 2;
}

div.titleshadow {
    position: absolute;
    z-index: 1;
    overflow: visible;
    background-color: #5a0407;
    margin-left: 5%;
    left: 3%;
    bottom: 7%;
    height: 100%;
}

div.historyshadow {
    width: 34em;
}

div.locationshadow {
    width: 43em;
}


    /* - --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- - */




     /*- --- --- --- ---    ZIGZAG CONTENT
    ()
    ()
     \*- --- --- --- --- --- --- -*/

div.zigzag, div.zzrow, div.zzcol3, div.zzcol6 {
    box-sizing: border-box;
}

div.zigzag {
    padding: 64px;
}

div.zzrow {
    position: relative;
}

div.zzrow:after {
    content: "";
    display: table;
    clear: both;
}

div.zzcol6 {
    position: relative;
    float: left;
    width: 66.66666%;
    padding: 20px;
    z-index: 0;
}

div.zzc6flavL {
    position: absolute;
    z-index: 0;
    background-color: #5a0407;
    float: none;
    top: 1%;
    left: 1%;
    width: 90%;
    height: 90%;
}

div.zzc6flavR {
    position: absolute;
    z-index: 0;
    background-color: #5a0407;
    float: none;
    bottom: 1%;
    right: 1%;
    width: 90%;
    height: 90%;
}

div.zzcol3 {
    float: left;
    width: 33.33333%;
    padding: 20px;
    overflow: hidden;
    z-index: 0;
}

div.zzc3wrap {
    position: relative;
    float: right;
    right: 50%;
}

div.zzc3flavL {
    position: absolute;
    object-fit: contain;
    z-index: 0;
    overflow: visible;
    background-color: #5a0407;
    float: none;
    right: -45%;
    top: -5%;
    min-width: 250px;
    max-width: 500px;
    width: 100%;
    height: 100%;
}

div.zzc3flavR {
    position: absolute;
    object-fit: contain;
    z-index: 0;
    overflow: visible;
    background-color: #5a0407;
    float: none;
    right: -55%;
    bottom: -5%;
    min-width: 250px;
    max-width: 500px;
    width: 100%;
    height: 100%;
}

div.zzc3wrap img {
    object-fit: contain;
    position: relative;
    right:-50%;
    min-width: 250px;
    max-width: 500px;
    width: 100%;
    height: 100%;
    z-index: 1;
}

@media screen and (max-width: 1400px) {
    div.zzcol6, div.zzcol3 {
        width: 75%;
        text-align: center;
        float: none;
        margin-left: auto;
        margin-right: auto;
    }

    div.zzcol3 {
        justify-content: center;
        min-width: 175px;
    }

    div.zzcol3 img {
        display: block;
        margin: auto;
        align-self: flex-start;
        min-width: 150px;
    }

    div.zzflavourR {
        bottom: 1%;
        right: 1%;
        width: 90%;
        height: 90%;
    }

    div.zzflavourL {
        top: 1%;
        left: 1%;
        width: 90%;
        height: 90%;
    }
}

p.history {
    position: relative;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: #aeaeae;
    z-index: 2;
}

    /*- --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- -*/




     /*- --- --- --- ---    LOCATION CARDS
    ()
    ()
     \*- --- --- --- --- --- --- -*/

#locations-wrapper {
    min-width: 430px; /* 400px width and 10px margin on each side */
    height: 100%;
    width: auto;
    margin-left: auto;
    margin-right: auto;
    display: block;
    box-sizing: border-box;
    overflow: hidden;
}

@media (max-width: 698px) {
    #locations-wrapper {
        width: 430px;
    }
}

@media (min-width: 698px) {
    #locations-wrapper {
        width: 430px;
    }
}

@media (min-width: 1235px) {
    #locations-wrapper {
        width: 860px;
    }
}


@media (min-width: 1773px) {
    #locations-wrapper {
        width: 1290px;
    }
}

@media (min-width: 2310px) {
    #locations-wrapper {
        width: 1760px;
    }
}

.location {
    background-color: transparent;
    margin: 10px;
    height: 400px;
    width: 400px;
    float: left;
}

.location-card {
    height: 100%;
    width: 100%;
    transition: transform 1.5s;
    transform-style: preserve-3d;
    display: flex;
    align-items: center;
}

.location-front {
    height: 100%;
    width: 100%;
    position: absolute;
    /*
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    */
    backface-visibility: hidden;
}

.location-image {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    border: 5px solid #5a0407;
    margin-left: -5px;
}

.location-back {
    display: flex;
    height: 100%;
    width: 100%;
    position: absolute;
    backface-visibility: hidden;
    background-color: white;
    transform: rotateY(180deg);
    border-radius: 10px;
    border: 5px solid #5a0407;
    margin-left: -5px;
    margin-bottom: -10px;
    padding-right: 0;
}

.location-desc {
    padding: 2.5em;
    color: black;
    word-wrap: break-word;
}

.location-title {
    text-align: center;
    padding-top: 1em;
    padding-bottom: 1em;
}

.location:hover .location-card {
    transform: rotateY(180deg);
}


    /*- --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- -*/




     /*- --- --- --- ---    TESTIMONIALS
    ()
    ()
     \*- --- --- --- --- --- --- -*/

#testimonials-wrapper {
    position: relative;
    padding: 64px;
    margin-left: auto;
    margin-right: auto;
    display: table;
}

/* Style the container with a rounded border, grey background and */
/* some padding and margin */
.testimonial {
    position: relative;
    background-color: #5a0407;
    border-radius: 5px;
    max-width: 1000px;
    padding: 16px;
    margin: 16px 0;
  }

  .testimonial img  {
    width: 90px;
  }

  .testimonial p {
      color: #aeaeae;
  }

  .testimonial div {
      display: block;
      float: right;
      width: calc(100% - 115px);
  }

  /* Clear floats after containers */
  .testimonial::after {
    content: "";
    clear: both;
    display: table;
  }

/* Float images inside the container to the left. */
/*Add a right margin, and style the image as a circle */
  .testimonial img {
    position: relative;
    float: left;
    border-radius: 50%;
  }

/* Increase the font-size of a span element */
  .testimonial span {
    font-size: 20px;
    margin-right: 15px;
  }

  /* Add media queries for responsiveness. */
  /* This will center both the text and the image inside the container */
  @media (max-width: 500px) {
    .testimonial {
      text-align: center;
    }

/*     .testimonial img {
      margin: auto;
      float: none;
      display: block;
    } */
  }


      /*- --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- -*/




     /*- --- --- --- ---    PICTURE SLIDESHOW
    ()
    ()
     \*- --- --- --- --- --- --- -*/

#firstslide {
    object-fit: cover;
    position: absolute;
    height: 100%;
    width: 100%;
    max-height: 30em;
    max-width: 30em;
    animation: initialslide 30s infinite ease-in-out;
}

.slide {
    object-fit: cover;
    height: 100%;
    width: 100%;
    max-height: 30em;
    max-width: 30em;
}

#frame {
    position: relative;
    width: 30em;
    height: 30em;
    background-color:#ccc;
    overflow: hidden;
    z-index: 3;
}

#frame > .slide {
    position: absolute;
    right: 100%;
    animation: slideshow 30s infinite ease-in-out;
}

@keyframes initialslide {
    0% {right: 0%}
    16.7% {right: 0%}
    18.7% {right: -100%}
    100% {right: -100%}
}

@keyframes slideshow {
    0% {right: 100%}
    2% {right: 0%}
    16.7% {right: 0%}
    18.7% {right: -100%}
    100% {right: -100%}
}

#frame > *:nth-child(1) {
    animation-delay: 0s;
}

#frame > *:nth-child(2) {
    animation-delay: 5s;
}

#frame > *:nth-child(3) {
    animation-delay: 10s;
}

#frame > *:nth-child(4) {
    animation-delay: 15s;
}

#frame > *:nth-child(5) {
    animation-delay: 20s;
}

#frame > *:nth-child(6) {
    animation-delay:25s;
}

#frame > *:nth-child(7) {
    animation-delay:30s;
}

#center-animation {
    position: relative;
    left: calc((100% - 30em)/2)
}

#animation-shadow {
    position: absolute;
    background-color: #5a0407;
    width: 30em;
    height: 30em;
    z-index: 1;
    left: -1.5em;
    bottom: -1.5em;
}

    /*- --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- -*/
